SLEEP(3) | Library Functions Manual | SLEEP(3)

# NAME

`sleep` — suspend process execution for interval of seconds

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <unistd.h>`

unsigned int
`sleep`(unsigned int seconds);

# DESCRIPTION

The `sleep`() function suspends execution of the calling process until either the number of seconds specified by seconds have elapsed or a signal is delivered to the calling process and its action is to invoke a signal-catching function or to terminate the process. The suspension time may be longer than requested due to the scheduling of other activity by the system.

# RETURN VALUES

If the `sleep`() function returns because the requested time has elapsed, the value returned will be zero. If the `sleep`() function returns due to the delivery of a signal, the value returned will be the unslept amount (the request time minus the time actually slept) in seconds.

# SEE ALSO

nanosleep(2), usleep(3)

# STANDARDS

The `sleep`() function conforms to IEEE Std 1003.1-1990 (“POSIX.1”).

# HISTORY

A `sleep`() function appeared in Version 7 AT&T UNIX.

June 4, 1993 | NetBSD 11.0